ESXi

 View Only
  • 1.  Host cannot download files from Update Manager

    Posted Jul 01, 2017 02:26 PM

    Hi

    I'm trying to update some hosts in the Environment but it always fails with the following Error

    "Host cannot download files from VMware vSphere Update Manager patch store.  Check the network connectivity and firewall setup, and check esxupdate logs for details."

    the files check on the host (/var/log/esxupdate.log)

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: pycurl.error: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: During handling of the above exception, another exception occurred:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: Traceback (most recent call last):

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 199, in _getfromurl

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1182, in urlgrab

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:   File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1036, in _run_callback

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1030, in _do_raise

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1178, in urlgrab

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1091, in _retry

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1070, in _retry

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1163, in retryfunc

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1265, in __init__

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1602, in _do_open

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1740, in _do_grab

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1736, in _do_grab

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/urlgrabber/grabber.py", line 1521, in _do_perform

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: urlgrabber.grabber.URLGrabError: [Errno 12] Timeout on b'http://172.16.18.230:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.5.0-metadata.zip': (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: During handling of the above exception, another exception occurred:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: Traceback (most recent call last):

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 83, in DownloadMetadatas

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 289, in Get

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 202, in _getfromurl

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: vmware.esximage.Downloader.DownloaderError: ('http://172.16.18.230:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.5.0-metadata.zip', '/tmp/tmp_n9n1rvj', "[Errno 12] Timeout on b'http://172.16.18.230:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.5.0-metadata.zip': (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')")

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: During handling of the above exception, another exception occurred:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: Traceback (most recent call last):

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:   File "/usr/sbin/esxupdate", line 239, in main

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:     cmd.Run()

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:   File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esx5update/Cmdline.py", line 105, in Run

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR:   File "/build/mts/release/bora-5310538/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 85, in DownloadMetadatas

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: ERROR: vmware.esximage.Errors.MetadataDownloadError: ('http://172.16.18.230:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.5.0-metadata.zip', None, '(\'http://172.16.18.230:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.5.0-metadata.zip\', \'/tmp/tmp_n9n1rvj\', "[Errno 12] Timeout on b\'http://172.16.18.230:9084/vum/repository/hostupdate/vmw/vmw-ESXi-6.5.0-metadata.zip\': (28, \'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds\')")')

    2017-07-01T07:21:27Z esxupdate: 70599: esxupdate: DEBUG: <<<

    the Check of the VUM Logs (/var/log/vmware/vum...)

    [2017-06-29 08:55:07:958 'HostUpdateDepotManager' 140630490326784 ERROR]  [scanHost20, 371] result for host: nlnym01bb2ex002.nl-nym01.nexperia.com (entity: host-76) shows error :

    <error errorClass="MetadataDownloadError">

      <errorCode>4</errorCode>

      <errorDesc>Failed to download metadata.</errorDesc>

    </error>

    [2017-06-29 08:55:07:975 'VciScanTask.ScanTask{252}' 140630490326784 INFO]  [vciTaskBase, 1362] VciTask { id: ScanTask{252}, type: com.vmware.vcIntegrity.ScanTask }: Setting VC task state to: error

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'PRECHECK_INITIALIZE', expected 'version esx.conf', found 'version esx.conf' and errortype is 19

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'SPACE_AVAIL_ISO', expected '372830954', found '372830954' and errortype is 4

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'MEMORY_SIZE', expected '4294967296', found '206026579968' and errortype is 6

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'CPU_SUPPORT', expected 'True', found 'False' and errortype is 31

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'HARDWARE_VIRTUALIZATION', expected '3', found '3' and errortype is 23

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'CPU_CORES', expected '2', found '24' and errortype is 22

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test '64BIT_LONGMODESTATUS', expected '1', found '1' and errortype is 25

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'NXBIT_ENABLED', expected '1', found '1' and errortype is 27

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'SANE_ESX_CONF', expected 'True', found 'True' and erro type is 7

    [2017-06-29 12:24:10:135 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'UNSUPPORTED_DEVICES', expected '', found '' and errortype is 9

      [2017-06-29 12:24:10:136 'HostUpgradeScanner' 139749982955264 INFO]  [scannerImpl, 675] Precheck script test result: 'SUCCESS', test 'PACKAGE_COMPLIANCE', expected  ...

    ...

    <error errorClass="MetadataDownloadError">

      <errorCode>4</errorCode>

      <errorDesc>Failed to download metadata.</errorDesc>

    </error>

    the Managed ESXi is not located at same Site it is a WAN-Link connection in between but the needed Port are configured.

    any idea why the host is not able to download the files!!!?



  • 2.  RE: Host cannot download files from Update Manager

    Posted Jul 10, 2017 01:38 PM

    Check if the instructions in this KB helps: https://ikb.vmware.com/kb/2007398

    https://ikb.vmware.com/kb/1005787



  • 3.  RE: Host cannot download files from Update Manager

    Posted Oct 11, 2018 11:07 AM

    Hi

    We had similar issue and I have tried the below, where IP address or hostname in step 4 was empty, i just updated vCenter Address there and saved it. If you are using 6.5 vcenter IP you should give or any VUM installed.

    1. Select an ESX/ESXi host for scanning.
    2. Click the Update Manager tab.
    3. Click Admin View > Configuration > Network Connectivity.
    4. Click IP address or host name for the patch store and enter the appropriate IP address.
    5. Rescan the ESX/ESXi host.

    Regards,